"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
require('bootstrap-css-only');
Object.defineProperty(exports, "__esModule", { value: true });

var base = require("@jupyter-widgets/base");
var widget = require("./index.js");
var version = require('../package.json').version;
var name = require('../package.json').name;

var EXTENSION_ID = name;
/**
 * The example plugin.
 */
var plugin = {
    id: EXTENSION_ID,
    requires: [base.IJupyterWidgetRegistry],
    activate: activateWidgetExtension,
    autoStart: true
};
exports.default = plugin;
/**
 * Activate the widget extension.
 */
function activateWidgetExtension(app, registry) {
    registry.registerWidget({
        name: name,
        version: version,
        exports: {
            ShowRunDetailsModel: widget.ShowRunDetailsModel,
            ShowRunDetailsView: widget.ShowRunDetailsView,
            ShowHyperDriveRunsModel: widget.ShowHyperDriveRunsModel,
            ShowHyperDriveRunsView: widget.ShowHyperDriveRunsView,
            ShowAutoMLRunsModel: widget.ShowAutoMLRunsModel,
            ShowAutoMLRunsView: widget.ShowAutoMLRunsView,
        }
    });
}
//# sourceMappingURL=plugin.js.map